Subject: Re: [RFC/PATCH (WIP)] Git.pm: Add get_config() method and related subroutines

From: Lea Wiemann <[email-masked]>
Date: Mon, 07 Jul 2008 21:24:12 +0200

Jakub Narebski wrote:
> I'd rather have both functional (of sorts) and object interface.

I wouldn't, since it makes the code more complicated.  Having an
object-oriented interface is cleaner (in this case), and it doesn't make
it more complicated to use; hence I don't think there's any need for a
functional interface.

> Git::Repo / Git::Config could use methods / subroutines from Git.pm;

I don't think that's possible, since Git.pm has a pretty long-running
(and complicated) instantiation method, whereas Git::Repo has (and must
have) instantaneous instantiation (without system calls).  Also, Git.pm
is so strange (design-wise) that I'm not very happy with depending on it
as it is.  I'll write more about that later though.